package com.kmall.common.constant;

/**
 * @author huangyq
 * @version 1.0
 * 2018-10-11 09:38:30
 */
public class Dict {

    /**
     * 支付方式，weixin:微信;alipay:支付宝;tenpay:QQ财付通
     */
    public enum payFlag {
        item_weixin("weixin", "微信"),
        item_tenpay("tenpay", "财付通"),
        item_alipay("alipay", "支付宝"),
        item_pingan("pingan", "平安支付"),
        item_wxglobalpay("wxglobalpay", "微信国际支付"),
        item_cash("cash", "现金");

        private String item;
        private String itemName;

        payFlag(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 订单业务类型：00:保税备货， 02:保税展示补货，10:保税展示跨境，11:普通商品
     */
    public enum orderBizType {
        item_00("00", "保税备货"),
        item_02("02", "保税展示补货"),
        item_10("10", "保税展示跨境"),
        item_11("11", "普通商品");

        private String item;
        private String itemName;

        orderBizType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 商户返回核验结果，0:未知，1:一致，2:不一致
     */
    public enum merchReturnSubjectChecked {
        item_0("0", "未知"),
        item_1("1", "一致"),
        item_2("2", "不一致");

        private String item;
        private String itemName;

        merchReturnSubjectChecked(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 平安返回核验结果，0:未知，1:一致，2:不一致
     */
    public enum pinganReturnSubjectChecked {
        item_0("0", "未知"),
        item_1("1", "一致"),
        item_2("2", "不一致");

        private String item;
        private String itemName;

        pinganReturnSubjectChecked(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 校验结果状态 1：通过，2：不通过
     */
    public enum subjectChecked {
        item_1("1", "通过"),
        item_2("2", "不通过");

        private String item;
        private String itemName;

        subjectChecked(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 通知状态，0:待发送，1:发送中，2:成功，3:失败
     */
    public enum notiStatus {
        item_0("0", "待发送"),
        item_1("1", "发送中"),
        item_2("2", "成功"),
        item_3("3", "失败");

        private String item;
        private String itemName;

        notiStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 是否停止通知，0:否，1:是
     */
    public enum isStop {
        item_0("0", "否"),
        item_1("1", "是");

        private String item;
        private String itemName;

        isStop(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 是否已使用
     */
    public enum isUsed {
        item_0("0", "否"),
        item_1("1", "是");

        private String item;
        private String itemName;

        isUsed(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }


    /**
     * 是否已发送
     */
    public enum isSend {
        item_0("0", "失败"),
        item_1("1", "成功");

        private String item;
        private String itemName;

        isSend(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 物流状态：0-暂无轨迹信息 2-在途中,3-签收,4-问题件
     */
    public enum logisticsStatus {
        item_0("0", "暂无轨迹信息"),
        item_2("2", "在途中"),
        item_3("3", "签收"),
        item_4("4", "问题件");

        private String item;
        private String itemName;

        logisticsStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 订单状态： 0 订单创建成功等待付款，100订单付款中,　101 订单已取消，　102 订单已删除，201 订单已付款，等待发货，300 订单已发货， 301 用户确认收货，400 维权申请中
     * 401 没有发货，退款　402 已收货，退款退货 500 订单已关闭 501 支付失败
     */
    public enum orderStatus {
        item_0("0", "订单创建成功等待付款"),
        item_100("100", "订单付款中"),
        item_101("101", "订单已取消"),
        item_102("102", "订单已删除"),
        item_201("201", "订单已付款"),
        item_300("300", "订单已发货"),
        item_301("301", "用户确认收货"),
//        item_400("400", "维权申请中"),
        item_401("401", "没有发货，退款"),
        item_402("402", "已收货，退款退货"),
        item_500("500", "订单已关闭"),
        item_501("501", "支付失败");

        private String item;
        private String itemName;

        orderStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 付款状态 支付状态;0 未付款;1 付款中;2 已付款;3 退款中;4 退款; 5：退款关闭；6：退款异常 7：订单关闭 8 支付失败
     */
    public enum payStatus {
        item_0("0", "未付款"),
        item_1("1", "付款中"),
        item_2("2", "已付款"),
        item_3("3", "退款中"),
        item_4("4", "退款"),
        item_5("5", "退款关闭"),
        item_6("6", "退款异常"),
        item_7("7", "订单关闭"),
        item_8("8", "支付失败");

        private String item;
        private String itemName;

        payStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 异常状态 00 订单支付失败 01 系统异常 02 订单超时 03 订单退款失败 04 其他
     */
    public enum exceptionStatus {
        item_00("00", "订单支付失败"),
        item_01("01", "系统异常"),
        item_02("02", "订单超时"),
        item_03("03", "订单退款失败"),
        item_04("04", "其他");

        private String item;
        private String itemName;

        exceptionStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 退款类型 1 用户全额退款 2 系统部分退款
     */
    public enum RefundType {
        item_1("1", "用户全额退款"),
        item_2("2", "系统部分退款");

        private String item;
        private String itemName;

        RefundType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 退款状态 1 申请中 2 退款成功 3 已拒绝  4 微信退款失败 5 微信退款处理中
     */
    public enum RefundStatus {
        item_1("1", "申请中"),
        item_2("2", "退款成功"),
        item_3("3", "已拒绝"),
        item_4("4", "微信退款失败"),
        item_5("5", "微信退款处理中");

        private String item;
        private String itemName;

        RefundStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 商品分类级别 L1:一级分类 L2：二级分类
     */
    public enum Level {
        item_L1("L1", "一级分类"),
        item_L2("L2", "二级分类");

        private String item;
        private String itemName;

        Level(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 是否合并支付 0:单笔支付 1：合并支付
     */
    public enum isMergePay {
        item_0("0", "单笔支付"),
        item_1("1", "合并支付");

        private String item;
        private String itemName;

        isMergePay(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 是否线下订单：0：线上购买 1：线下购买
     */
    public enum isOnfflineOrder {
        item_0("0", "线上购买"),
        item_1("1", "线下购买");

        private String item;
        private String itemName;

        isOnfflineOrder(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 角色类型：1：操作员；2：店员；3：商户管理员
     */
    public enum roleType {
        item_1("1", "操作员"),
        item_2("2", "店员"),
        item_3("3", "商户管理员");

        private String item;
        private String itemName;

        roleType(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    public enum isDelete {
        item_0("0", "未删除"),
        item_1("1", "已删除");

        private String item;
        private String itemName;

        isDelete(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    public enum isOnSale {
        item_0("0", "下架"),
        item_1("1", "上架");

        private String item;
        private String itemName;

        isOnSale(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * SUCCESS—支付成功
     * REFUND—转入退款
     * NOTPAY—未支付
     * CLOSED—已关闭
     * REVOKED—已撤销（刷卡支付）
     * USERPAYING--用户支付中
     * PAYERROR--支付失败(其他原因，如银行返回失败)
     */
    public enum tradeState {
        item_SUCCESS("SUCCESS", "支付成功"),
        item_REFUND("REFUND", "转入退款"),
        item_NOTPAY("NOTPAY", "未支付"),
        item_CLOSED("CLOSED", "已关闭"),
        item_REVOKED("REVOKED", "已撤销（刷卡支付）"),
        item_USERPAYING("USERPAYING", "用户支付中"),
        item_PAYERROR("PAYERROR", "支付失败(其他原因，如银行返回失败)");

        private String item;
        private String itemName;

        tradeState(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    public enum pinganPayStatus {
        item_1("1", "交易成功"),
        item_2("2", "待支付"),
        item_4("4", "已取消"),
        item_9("9", "等待用户输入密码确认");

        private String item;
        private String itemName;

        pinganPayStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    public enum pinganRefundStatus {
        item_1("1", "退款成功"),
        item_2("2", "退款处理中"),
        item_3("3", "退款异常"),
        item_4("4", "退款关闭");

        private String item;
        private String itemName;

        pinganRefundStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }
}
